Debian Bug report logs - #280329
ecos: FTBFS with gcc-3.4: `static CeCosSocket::SSReadResult CeCosSocket::SSRead(CeCosSerial&, CeCosSocket&, void*, unsigned int, unsigned int&, bool*)' is protected

version graph

Package: ecos; Maintainer for ecos is (unknown);

Reported by: Andreas Jochens <aj@andaco.de>

Date: Mon, 8 Nov 2004 19:03:01 UTC

Severity: serious

Tags: fixed, patch

Fixed in version ecos/2.0-0pre3

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Masato Taruishi <taru@debian.org>:
Bug#280329; Package ecos. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jochens <aj@andaco.de>:
New Bug report received and forwarded. Copy sent to Masato Taruishi <taru@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Jochens <aj@andaco.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ecos: FTBFS with gcc-3.4: `static CeCosSocket::SSReadResult CeCosSocket::SSRead(CeCosSerial&, CeCosSocket&, void*, unsigned int, unsigned int&, bool*)' is protected
Date: Mon, 08 Nov 2004 19:48:52 +0100
Package: ecos
Severity: normal
Tags: patch

When building 'ecos' with gcc-3.4 I get the following error:

c++ -O2 -c -I/usr/include -I/ecos-2.0/build-tree/ecos-2.0//tools/src/libcdl -I/ecos-2.0/build-tree/ecos-2.0//tools/src/infra -I/ecos-2.0/build-tree/ecos-2.0//tools/src/tools/configtool/common/common -I/ecos-2.0/build-tree/ecos-2.0//tools/src/tools/Utils/common -I/ecos-2.0/build-tree/ecos-2.0//tools/src/tools/ecostest/common -I/ecos-2.0/build/tools/src//libcdl -I/ecos-2.0/build/tools/src//infra -DecUSE_EXPERIMENTAL_CODE=1 -I/usr/include/tcl8.3 `/usr/bin/wx-config   --cflags` -o /ecos-2.0/build-ct2/ct-build-release/aboutdlg.o /ecos-2.0/build-tree/ecos-2.0//tools/src/tools/configtool/standalone/wxwin/aboutdlg.cpp
In file included from /ecos-2.0/build-tree/ecos-2.0//tools/src/tools/ecostest/common/ResetAttributes.h:41,
                 from /ecos-2.0/build-tree/ecos-2.0//tools/src/tools/ecostest/common/eCosTest.h:55,
                 from /ecos-2.0/build-tree/ecos-2.0//tools/src/tools/configtool/standalone/wxwin/appsettings.h:53,
                 from /ecos-2.0/build-tree/ecos-2.0//tools/src/tools/configtool/standalone/wxwin/configtool.h:60,
                 from /ecos-2.0/build-tree/ecos-2.0//tools/src/tools/configtool/standalone/wxwin/ecpch.h:72,
                 from /ecos-2.0/build-tree/ecos-2.0//tools/src/tools/configtool/standalone/wxwin/aboutdlg.cpp:50:
/ecos-2.0/build-tree/ecos-2.0//tools/src/tools/Utils/common/eCosSocket.h:177: error: `static CeCosSocket::SSReadResult CeCosSocket::SSRead(CeCosSerial&, CeCosSocket&, void*, unsigned int, unsigned int&, bool*)' is protected
/ecos-2.0/build-tree/ecos-2.0//tools/src/tools/Utils/common/eCosSerial.h:53: error: within this context
make[1]: *** [/ecos-2.0/build-ct2/ct-build-release/aboutdlg.o] Error 1
make[1]: Leaving directory `/ecos-2.0/build-ct2'
make: *** [build-arch-stamp] Error 2

With the attached patch 'ecos' can be compiled using gcc-3.4.

Regards
Andreas Jochens

diff -urN ../tmp-orig/ecos-2.0/debian/patches/020_gcc-3.4_fix ./debian/patches/020_gcc-3.4_fix
--- ../tmp-orig/ecos-2.0/debian/patches/020_gcc-3.4_fix	1970-01-01 00:00:00.000000000 +0000
+++ ./debian/patches/020_gcc-3.4_fix	2004-11-03 19:33:24.994896752 +0000
@@ -0,0 +1,21 @@
+diff -urN tmp/tools/src/tools/Utils/common/eCosSocket.h ecos-2.0/tools/src/tools/Utils/common/eCosSocket.h
+--- tmp/tools/src/tools/Utils/common/eCosSocket.h	2000-09-19 05:53:51.000000000 +0000
++++ ecos-2.0/tools/src/tools/Utils/common/eCosSocket.h	2004-11-03 19:29:51.822303912 +0000
+@@ -166,8 +166,6 @@
+   
+   enum   SSReadResult {SS_SOCKET_ERROR=-1,SS_SOCKET_READ=1,SS_SERIAL_ERROR=-2,SS_SERIAL_READ=2,SS_STOPPED=0};
+ 
+-protected:
+-
+   // Blocking read on one or other of the data sources:
+   // Result:  -1 - socket error occurred
+   //           1 - data read from socket
+@@ -176,6 +174,8 @@
+ 
+   static SSReadResult SSRead (CeCosSerial &serial,CeCosSocket &socket,void *pBuf,unsigned int nSize,unsigned int &nRead,bool *pbStop);
+   
++protected:
++
+   Duration m_nDefaultTimeout;
+   Duration TimeoutDuration (Duration dTimeout);
+   // Set appropriate socket options (most importantly, non-blocking mode)



Severity set to `serious'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Masato Taruishi <taru@debian.org>:
Bug#280329; Package ecos. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Masato Taruishi <taru@debian.org>. Full text and rfc822 format available.

Message #12 received at 280329@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Masato Taruishi <taru@debian.org>
Cc: 280329@bugs.debian.org, 285697@bugs.debian.org, 304788@bugs.debian.org
Subject: NMU of ecos
Date: Fri, 5 Aug 2005 22:27:09 +0200
[Message part 1 (text/plain, inline)]
Hi,

Please find attached the difference between version 2.0-0pre2.1 and
2.0-0pre2.2 of ecos.

Bye,
Aurelien


-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian GNU/Linux developer | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net
[ecos_2.0-0pre2.2.NMU.diff (text/plain, attachment)]

Tags added: fixed Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Jochens <aj@andaco.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 280329-close@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 280329-close@bugs.debian.org
Subject: Bug#280329: fixed in ecos 2.0-0pre3
Date: Sat, 16 Sep 2006 10:32:08 -0700
Source: ecos
Source-Version: 2.0-0pre3

We believe that the bug you reported is fixed in the latest version of
ecos, which is due to be installed in the Debian FTP archive:

ecos-doc_2.0-0pre3_all.deb
  to pool/main/e/ecos/ecos-doc_2.0-0pre3_all.deb
ecos_2.0-0pre3.diff.gz
  to pool/main/e/ecos/ecos_2.0-0pre3.diff.gz
ecos_2.0-0pre3.dsc
  to pool/main/e/ecos/ecos_2.0-0pre3.dsc
ecos_2.0-0pre3_all.deb
  to pool/main/e/ecos/ecos_2.0-0pre3_all.deb
ecosconfig_2.0-0pre3_i386.deb
  to pool/main/e/ecos/ecosconfig_2.0-0pre3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 280329@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luk Claes <luk@debian.org> (supplier of updated ecos package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 16 Sep 2006 17:29:43 +0200
Source: ecos
Binary: ecos-doc ecosconfig ecos
Architecture: source all i386
Version: 2.0-0pre3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Luk Claes <luk@debian.org>
Description: 
 ecos       - Deeply embedded operating system
 ecos-doc   - Documentation for eCos
 ecosconfig - eCos host-side software
Closes: 230232 280329 285697 304788 327838 342960 356970 378420
Changes: 
 ecos (2.0-0pre3) unstable; urgency=low
 .
   * QA upload.
   * Set maintainer to Debian QA Group.
   * Transition to tcl8.4 (Closes: #378420).
   * Acknowlege NMUs
     (Closes: #230232, #280329, #285697, #327838, #304788, #356970, #342960).
Files: 
 1a2619b571b5636c98ec45c4bc806495 684 devel optional ecos_2.0-0pre3.dsc
 e59ca784d753e3219cbb8cb1da4254e0 328559 devel optional ecos_2.0-0pre3.diff.gz
 63a424f068caaed610d73814ca92d9a4 13268564 devel optional ecos_2.0-0pre3_all.deb
 8648b8f054e6742bd17274335b336ff0 1464840 doc optional ecos-doc_2.0-0pre3_all.deb
 31dae21219f8447dd1e084dfbdd81622 2117840 devel optional ecosconfig_2.0-0pre3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFDCkO5UTeB5t8Mo0RArYnAJ9CcGh/oJwVPLIUQ+0oJOsY73XTpACfSxh5
HbDQPcGi3rN476zaKO6CONM=
=lse4
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 01:18:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:59:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.